#parameters:
#    rawafed_user.example.class: Rawafed\UserBundle\Example

#services:
#    rawafed_user.example:
#        class: %rawafed_user.example.class%
#        arguments: [@service_id, "plain_value", %parameter%]


parameters:

services:


#   user registration form
    rawafed_user.registration.form.type:
        class: Rawafed\UserBundle\Form\RegistrationFormType
        tags:
            - { name: form.type, alias: rawafed_user_registration }

#    user profile form
    rawafed_user.profile.form.type:
        class: Rawafed\UserBundle\Form\ProfileFormType
        tags:
            - { name: form.type, alias: rawafed_user_profile }            
            
            
            
#    rawafed_user.login.listener:
#        class: Rawafed\UserBundle\Listener\UserEventsListener
#        arguments: [@service_container]
#        tags:
#            - { name: kernel.event_subscriber }

    ## register in complete exception litener to redirect the user for registeration form to complete his missing fields like yahoo mail registration and twitter
    #rawafed_user.listener.in_complete_exception_listener:
    #    class: Rawafed\UserBundle\Listener\InCompleteExceptionListener
    #    arguments: [@service_container]
    #    tags:
    #        - { name: kernel.event_listener, event: kernel.exception, method: onKernelException, priority: -100 }


    rawafed_user.extension.user_extension:
            class: Rawafed\UserBundle\Extension\UserExtension
            arguments: [ @service_container ]
            tags:
                - { name: twig.extension }